Subject: bug#49866: 28.0.50; gnus-summary-exit from the transient search buffer giving error

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 06 Aug 2021 09:25:23 -0700

On 08/06/21 12:25 PM, Basil L. Contovounesios wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
>
>> "Basil L. Contovounesios" <[email-masked]> writes:
>>
>>> The problem isn't nil, it's '(1 2 3). 
>>
>> The original backtrace was
>>
>> Debugger entered--Lisp error: (cl-no-applicable-method map-into nil list)
>>   signal(cl-no-applicable-method (map-into nil list))
>> [...]
>>   map-into(nil list)
>>   map-merge(list nil nil)
>
> This reminds me of https://bugs.gnu.org/46722, although I can't
> reproduce the error with (map-into () 'list).
>
>> though.  So Eric's patch is the right thing for the '(1 2 3) nil case?
>
> I don't see how Eric's patch addresses the '(1 2 3) case, since '(1 2 3)
> is not a valid map that map-merge can usefully operate on.

I've provided unhelpful examples here, because I didn't really know what
`map-merge' was supposed to do.

Reloading map.el or map.elc is enough to fix the problem here. So that's
another data point.

I realized that I was lying when I told Andy that EBDB doesn't use
map.el! In fact it does require it at the top ebdb.el, but then doesn't
make use of any of the functions. Maybe at some point I thought I'd use
it for something?

I'll remove the require, but it would be pretty amazing if that were the
source of the problem.